#include "CS_Signboard_Divination.h"

CS_Signboard_Divination::CS_Signboard_Divination()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_Signboard_Divination::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_signboard_divination_open" : L"ls_signboard_divination_close";
}

std::shared_ptr<Entity> CreateCS_Signboard_Divination()
{
	return std::make_shared<CS_Signboard_Divination>();
}
